Bug 1644354 - [RHEL 7.6] Satellite Update failed due to dependency issue Package: ant-junit-1.9.2-9.el7.noarch Requires: ant = 1.9.2-9.el7
Summary: [RHEL 7.6] Satellite Update failed due to dependency issue Package: ant-juni...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Evgeni Golov
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1694049 1653153
TreeView+ depends on / blocked
 
Reported: 2018-10-30 15:37 UTC by Nikhil Kathole
Modified: 2019-10-07 17:17 UTC (History)
15 users (show)

Fixed In Version: satellite-6.5.0-10
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1661040 1694049 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)
yum update (104.74 KB, text/plain)
2018-10-30 15:41 UTC, Nikhil Kathole
no flags Details
yum log (88.08 KB, text/plain)
2019-02-27 15:21 UTC, Nikhil Kathole
no flags Details
yum log verified (366.53 KB, text/plain)
2019-04-01 14:23 UTC, Nikhil Kathole
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:34 UTC
Red Hat Knowledge Base (Solution) 3673121 None None None 2018-10-31 14:22:03 UTC

Description Nikhil Kathole 2018-10-30 15:37:24 UTC
Description of problem: performing yum update on satellite 6.4 while upgrading to satellite 6.5 failed in dependency issue:

--> Finished Dependency Resolution
Error: Package: ant-junit-1.9.2-9.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
           Requires: ant = 1.9.2-9.el7
           Removing: ant-1.9.2-9.el7.noarch (@rhel-7-server-rpms)
               ant = 1.9.2-9.el7
           Updated By: ant-1.9.4-2.el7.noarch (rhel-7-server-rpms)
               ant = 1.9.4-2.el7
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

--> Running transaction check
---> Package ant.noarch 0:1.9.2-9.el7 will be updated
--> Processing Dependency: ant = 1.9.2-9.el7 for package: ant-junit-1.9.2-9.el7.noarch
---> Package kernel.x86_64 0:3.10.0-862.3.3.el7 will be erased
--> Finished Dependency Resolution
Error: Package: ant-junit-1.9.2-9.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
           Requires: ant = 1.9.2-9.el7
           Removing: ant-1.9.2-9.el7.noarch (@rhel-7-server-rpms)
               ant = 1.9.2-9.el7
           Updated By: ant-1.9.4-2.el7.noarch (rhel-7-server-rpms)
               ant = 1.9.4-2.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Version-Release number of selected component (if applicable):
Satellite 6.5.0 snap 1

How reproducible:
always

Steps to Reproduce:

1.yum update

Actual results:

yum update failed due to dependency issue.

--> Finished Dependency Resolution
Error: Package: ant-junit-1.9.2-9.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
           Requires: ant = 1.9.2-9.el7
           Removing: ant-1.9.2-9.el7.noarch (@rhel-7-server-rpms)
               ant = 1.9.2-9.el7
           Updated By: ant-1.9.4-2.el7.noarch (rhel-7-server-rpms)
               ant = 1.9.4-2.el7



Expected results: Successful yum update.


Additional info:

Comment 1 Nikhil Kathole 2018-10-30 15:41:55 UTC
Created attachment 1499005 [details]
yum update

Comment 2 Nikhil Kathole 2018-10-30 16:08:54 UTC
Issue occurs for 6.2 -> 6.3 and 6.3 -> 6.4 update as well.

This issue will face only when upgrade is performed from 6.0 onwards. (satellite 6.0 -> 6.1 -> 6.3 -> 6.4 -> 6.5)

Comment 5 Mike McCune 2018-10-30 17:20:54 UTC
After re-reading the above I get what is happening here.

There is an old RPM we install with 6.0 ( ant-junit ) that does not get removed during upgrades.

This now conflicts with updates that landed in RHEL 7.6.

This won't effect anyone who installed from scratch on 6.2 onward and only effects older installs that started with 6.0.

The number of customers who are in this scenario is relatively small and we should document a workaround to this issue (yum erase ant-junit ant).

If we get a large number of tickets filed we can possibly address this in the code but for now I'm going to place this on the backlog.

Comment 6 Evgeni Golov 2018-10-31 10:37:54 UTC
(In reply to Mike McCune from comment #5)
> After re-reading the above I get what is happening here.
> 
> There is an old RPM we install with 6.0 ( ant-junit ) that does not get
> removed during upgrades.
> 
> This now conflicts with updates that landed in RHEL 7.6.
> 
> This won't effect anyone who installed from scratch on 6.2 onward and only
> effects older installs that started with 6.0.
> 
> The number of customers who are in this scenario is relatively small and we
> should document a workaround to this issue (yum erase ant-junit ant).
> 
> If we get a large number of tickets filed we can possibly address this in
> the code but for now I'm going to place this on the backlog.

Adding ant-junit to the Obsoletes list of the satellite RPM is cheap, so maybe we should just do it?

Comment 15 Bryan Kearney 2018-11-26 19:33:17 UTC
Removing 6.2.z flag since 6.2.z is now in maintenance phase 2 [1]. The bug will remain flagged for 6.3.z.


[1] https://access.redhat.com/support/policy/updates/satellite

Comment 17 Nikhil Kathole 2019-02-27 15:20:11 UTC
FAILED QA

Yum is not so smart to obsolete ant-junit dependency if any other package has the dependency on it.


--> Running transaction check
---> Package ant-junit.noarch 0:1.9.2-9.el7 will be obsoleted
--> Processing Dependency: ant-junit for package: groovy-1.8.9-7.el7.noarch
---> Package libpath_utils.x86_64 0:0.2.1-32.el7 will be installed
--> Finished Dependency Resolution
Error: Package: groovy-1.8.9-7.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
           Requires: ant-junit
           Removing: ant-junit-1.9.2-9.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
               ant-junit = 1.9.2-9.el7
           Obsoleted By: satellite-common-6.4.2-2.el7sat.noarch (rhel-7-server-satellite-6.4-rpms)
               Not found
**********************************************************************
yum can be configured to try to resolve such errors by temporarily enabling
disabled repos and searching for missing dependencies.
To enable this functionality please set 'notify_only=0' in /etc/yum/pluginconf.d/search-disabled-repos.conf
**********************************************************************

Error: Package: groovy-1.8.9-7.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
           Requires: ant-junit
           Removing: ant-junit-1.9.2-9.el7.noarch (@rhel-7-server-satellite-6.0-rpms)
               ant-junit = 1.9.2-9.el7
           Obsoleted By: satellite-common-6.4.2-2.el7sat.noarch (rhel-7-server-satellite-6.4-rpms)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 18 Nikhil Kathole 2019-02-27 15:21:47 UTC
Created attachment 1539182 [details]
yum log

Comment 20 Nikhil Kathole 2019-04-01 14:22:29 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 22

Installing:
 satellite-common                                      noarch     6.5.0-10.el7sat             sat6                                           15 k
     replacing  ant-junit.noarch 1.9.2-9.el7
     replacing  candlepin-common.noarch 1.0.22-1.el7
     replacing  groovy.noarch 1.8.9-7.el7
     replacing  logback.noarch 1.0.13-6.el7
     replacing  rh-ruby24-ruby.x86_64 2.4.5-91.el7
     replacing  rh-ruby24-ruby-irb.noarch 2.4.5-91.el7
     replacing  rh-ruby24-ruby-libs.x86_64 2.4.5-91.el7
     replacing  rh-ruby24-rubygem-bigdecimal.x86_64 1.3.2-91.el7
     replacing  rh-ruby24-rubygem-bundler.noarch 1.13.7-1.el7
     replacing  rh-ruby24-rubygem-did_you_mean.x86_64 1.1.0-91.el7
     replacing  rh-ruby24-rubygem-io-console.x86_64 0.4.6-91.el7
     replacing  rh-ruby24-rubygem-json.x86_64 2.0.4-91.el7
     replacing  rh-ruby24-rubygem-minitest.noarch 5.10.1-91.el7
     replacing  rh-ruby24-rubygem-openssl.x86_64 2.0.9-91.el7
     replacing  rh-ruby24-rubygem-psych.x86_64 2.2.2-91.el7
     replacing  rh-ruby24-rubygem-rake.noarch 12.0.0-91.el7
     replacing  rh-ruby24-rubygem-rdoc.noarch 5.0.0-91.el7
     replacing  rh-ruby24-rubygems.noarch 2.6.14.3-91.el7
     replacing  rh-ruby24-runtime.x86_64 2.4-2.el7
     replacing  tfm-ror51-rubygem-actioncable.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-actionmailer.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-actionpack.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-actionview.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-activejob.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-activemodel.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-activerecord.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-activesupport.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-arel.noarch 8.0.0-1.el7sat
     replacing  tfm-ror51-rubygem-builder.noarch 3.2.3-1.el7sat
     replacing  tfm-ror51-rubygem-coffee-rails.noarch 4.2.2-1.el7sat
     replacing  tfm-ror51-rubygem-coffee-script.noarch 2.4.1-1.el7sat
     replacing  tfm-ror51-rubygem-coffee-script-source.noarch 1.12.2-1.el7sat
     replacing  tfm-ror51-rubygem-concurrent-ruby.noarch 1.0.5-4.el7sat
     replacing  tfm-ror51-rubygem-crass.noarch 1.0.2-1.el7sat
     replacing  tfm-ror51-rubygem-erubi.noarch 1.7.0-1.el7sat
     replacing  tfm-ror51-rubygem-execjs.noarch 2.7.0-1.el7sat
     replacing  tfm-ror51-rubygem-globalid.noarch 0.4.1-1.el7sat
     replacing  tfm-ror51-rubygem-i18n.noarch 0.9.1-2.el7sat
     replacing  tfm-ror51-rubygem-loofah.noarch 2.1.1-2.el7sat
     replacing  tfm-ror51-rubygem-mail.noarch 2.7.0-2.el7sat
     replacing  tfm-ror51-rubygem-method_source.noarch 0.9.0-1.el7sat
     replacing  tfm-ror51-rubygem-mime-types.noarch 3.1-1.el7sat
     replacing  tfm-ror51-rubygem-mime-types-data.noarch 3.2016.0521-1.el7sat
     replacing  tfm-ror51-rubygem-mini_mime.noarch 1.0.0-1.el7sat
     replacing  tfm-ror51-rubygem-multi_json.noarch 1.12.2-1.el7sat
     replacing  tfm-ror51-rubygem-mustermann.noarch 1.0.1-1.el7sat
     replacing  tfm-ror51-rubygem-nio4r.x86_64 2.1.0-1.el7sat
     replacing  tfm-ror51-rubygem-nokogiri.x86_64 1.8.1-1.el7sat
     replacing  tfm-ror51-rubygem-rack.noarch 2.0.3-1.el7sat
     replacing  tfm-ror51-rubygem-rack-protection.noarch 2.0.0-1.el7sat
     replacing  tfm-ror51-rubygem-rack-test.noarch 0.7.0-1.el7sat
     replacing  tfm-ror51-rubygem-rails.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-rails-dom-testing.noarch 2.0.3-1.el7sat
     replacing  tfm-ror51-rubygem-rails-html-sanitizer.noarch 1.0.3-2.el7sat
     replacing  tfm-ror51-rubygem-railties.noarch 5.1.6-1.el7sat
     replacing  tfm-ror51-rubygem-sinatra.noarch 2.0.0-1.el7sat
     replacing  tfm-ror51-rubygem-sprockets.noarch 3.7.1-1.el7sat
     replacing  tfm-ror51-rubygem-sprockets-rails.noarch 3.2.1-1.el7sat
     replacing  tfm-ror51-rubygem-sqlite3.x86_64 1.3.13-1.el7sat
     replacing  tfm-ror51-rubygem-thor.noarch 0.20.0-1.el7sat
     replacing  tfm-ror51-rubygem-thread_safe.noarch 0.3.6-1.el7sat
     replacing  tfm-ror51-rubygem-tilt.noarch 2.0.8-1.el7sat
     replacing  tfm-ror51-rubygem-turbolinks.noarch 2.5.4-1.el7sat
     replacing  tfm-ror51-rubygem-tzinfo.noarch 1.2.4-2.el7sat
     replacing  tfm-ror51-rubygem-websocket-driver.x86_64 0.6.5-2.el7sat
     replacing  tfm-ror51-rubygem-websocket-extensions.noarch 0.1.2-1.el7sat
     replacing  tfm-ror51-runtime.x86_64 1.1-2.el7sat
     replacing  tfm-rubygem-useragent.noarch 0.16.8-2.el7sat

See attachment for complete log.

Comment 21 Nikhil Kathole 2019-04-01 14:23:30 UTC
Created attachment 1550567 [details]
yum log verified

Comment 24 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.